/*  Demonstration of Promises and async/await to
	visit an indeterminant number of data sources one at a time
	until a criteria is reached.
*/
import fetch from 'node-fetch';
let desiredCount = 150; // How many years do we have to go back to reach this

async function getThem(year) {
    let totalCount = 0;
    let curYear = year;
    while (totalCount < desiredCount) {
        let url = 'https://windsurf.grotto-networking.com/data/logs/windEvents' + curYear + '.json';
        totalCount += await fetch(url)
            .then(res => res.json())
            .then(data => data.length);
        console.log(curYear, totalCount);
        curYear -= 1;
    }
}

getThem(2020);