/*  Demonstration of promises to get a previously unknown amount
	of data in order until a threshold is reached
    
    Example data file location:
	https://windsurf.grotto-networking.com/data/logs/windEvents2021.json
*/
import fetch from 'node-fetch';

var totalCount = 0;
var year = 2021;
var desiredCount = 200;

/* 	Uses recursion and side effects. It is also hard to read.
	But it gets the job done. However, see the async/await version
	for something simple and beautiful to read.
*/
function logAdd(year, data) {
    console.log(`Year ${year}, sailing sessions = ${data.length}`);
    totalCount += data.length;
    if (totalCount < desiredCount) {
        let url = 'https://windsurf.grotto-networking.com/data/logs/windEvents' + (year - 1) + '.json';
        fetch(url).then(res => res.json()).then(logAdd.bind(null, year - 1));
    }
}

let url1 = 'https://windsurf.grotto-networking.com/data/logs/windEvents' + year + '.json';

fetch(url1).then(res => res.json()).then(logAdd.bind(null, year));