const fetch = require('node-fetch');

function lookAtResponse(response) {
    console.log(`\nResponse from ${response.url}`);
    console.log(`Status: ${response.status}`);
    console.log(`Status code: ${response.statusText}`);
    console.log("Headers:");
    for (let key of response.headers.keys()){
        console.log(`${key}:  ${response.headers.get(key)}`);
    }
}

function lookAtBody(body) {
    console.log("Body information")
    console.log('body size:', body.length); 
}

fetch("http://www.grotto-networking.com/patents.html")
    .then(res=> {
    lookAtResponse(res);
    return res.text();
})
.then(lookAtBody);

fetch("http://www.grotto-networking.com:44/patents.html",
     {timeout: 1000})
    .then(res=> {
    lookAtResponse(res);
    return res.text();
})
.then(lookAtBody)
.catch((res)=>console.log(`\n\n ${res}`));

fetch("http://www.grotto-networking.com/hiClass.html",
     {timeout: 1000})
    .then(res=> {
    lookAtResponse(res);
    return res.text();
})
.then(lookAtBody)
.catch((res)=>console.log(`\n${res}`));

fetch("https://windsurf.grotto-networking.com/data/logs/windEvents2018.json",
     {timeout: 1000})
    .then(res=> {
    lookAtResponse(res);
    return res.json();
})
.then(myObj => console.log(`Number of entries: ${myObj.length}`))
.catch((res)=>console.log(`\n${res}`));

