/* Starter file for practicing HTTP requests */
const fetch = require('node-fetch');

fetch("http://www.grotto-networking.com")
    .then(function(res){ // Work with response
        lookAtResponse(res);
        return res.text(); // Processes body
    })
    .then(lookAtBody);

// Helper functions
function lookAtResponse(response) {
    console.log(`\nResponse from ${response.url}`);
    console.log(`Status: ${response.status}`);
    console.log(`Status code: ${response.statusText}`);
    console.log("Headers:");
    for (let key of response.headers.keys()) {
        console.log(`${key}:  ${response.headers.get(key)}`);
    }
}

function lookAtBody(body) {
    console.log("Body information")
    console.log('body size:', body.length);
}