/*  Demonstration of promises to put HTTP requests for
    Node.js in a particular order.
*/
import fetch from 'node-fetch';
let site1 = {
    url: "https://www.grotto-networking.com",
    options: { method: "HEAD" }
};

let site2 = {
    url: "http://www.google.com",
    options: { method: "HEAD" }
};

let site3 = {
    url: "https://kitewest.com.au/",
    options: { method: "HEAD" }
};

let start = new Date();
fetch(site1.url, site1.options)
    .then(res => {
        // console.log(`Grotto status: ${JSON.stringify(res)}`);
        let time = (new Date() - start) / 1000;
        console.log(`Grotto status: ${res.statusText}, time: ${time}`);
        return fetch(site2.url, site2.options);
    })
    .then(res => {
        let time = (new Date() - start) / 1000;
        console.log(`Google status: ${res.statusText}, time: ${time}`);
        return fetch(site3.url, site3.options);
    })
    .then(res => {
        let time = (new Date() - start) / 1000;
        console.log(`Aus kiteboarding status: ${res.statusText}, time: ${time}`);
    });
console.log("Starting my web requests:");