/*  Demonstration of promises to put HTTP requests for
    Node.js in a particular order with async and await!
*/
import fetch from 'node-fetch';
let site1 = {
    url: "https://www.grotto-networking.com",
    options: { method: "HEAD" }
};

let site2 = {
    url: "http://www.google.com",
    options: { method: "HEAD" }
};

let site3 = {
    url: "https://kitewest.com.au/",
    options: { method: "HEAD" }
};

let start = new Date();
async function inOrder() {
    let res = await fetch(site1.url, site1.options);
    let time = (new Date() - start) / 1000;
    console.log(`Grotto status: ${res.statusText}, time: ${time}`);
    res = await fetch(site2.url, site2.options);
    time = (new Date() - start) / 1000;
    console.log(`Google status: ${res.statusText}, time: ${time}`);
    res = await fetch(site3.url, site3.options);
    time = (new Date() - start) / 1000;
    console.log(`Aus kiteboarding status: ${res.statusText}, time: ${time}`);
}
console.log("Starting my web requests:");
inOrder();