/*  Demonstration of promises for HTTP requests running in
    parallel on Node.js.
*/
const fetch = require('node-fetch');
let site1 = {
  url: "https://www.grotto-networking.com",
  options: {method: "HEAD"}
};

let site2 = {
  url: "http://www.google.com",
  options: {method: "HEAD"}
};

let site3 = {
  url: "https://kitewest.com.au/",
  options: {method: "HEAD"}
};

let start = new Date();
let p1 = fetch(site1.url, site1.options).then(res => {
  // console.log(`Grotto status: ${JSON.stringify(res)}`);
  let time = (new Date() - start) / 1000;
  return console.log(`Grotto status: ${res.statusText}, time: ${time}`);
});

let p2 = fetch(site2.url, site2.options).then(res => {
  let time = (new Date() - start) / 1000;
  return console.log(`Google status: ${res.statusText}, time: ${time}`);
});

let p3 = fetch(site3.url, site3.options).then(res => {
  let time = (new Date() - start) / 1000;
  return console.log(
    `Aus kiteboarding status: ${res.statusText}, time: ${time}`
  );
});

console.log("Starting my web requests:");
Promise.all([p1, p2, p3]).then(x => {
  let time = (new Date() - start) / 1000;
  console.log(`All Finished, total time: ${time}`);
});
